export declare function extractCSSString(value: string): string;
export declare function getDefaultFontFile(fontWeight: number, fontStyle: string): string;
type FontWeight = {
    type: 'range';
    min: number;
    max: number;
} | {
    type: 'static';
    value: number;
};
type FontDeclaration = {
    fontFamily: string;
    fontStyle?: string;
    fontWeight?: FontWeight;
    src: string;
    unicodeRange?: string;
};
export declare function resolveFontFile(src: string, useCache?: boolean, assetProxyTemplate?: string): Promise<Uint8Array<ArrayBufferLike>>;
export declare function resolveCSSFontFile(src: string, useCache?: boolean): Promise<string>;
export declare function textIsInUnicodeRange(text: string, unicodeRange: string): boolean;
export declare function getCharRangeRelevantFontDeclarations(text: string, declarations: FontDeclaration[]): FontDeclaration[];
export declare function getAllFontDeclarations(cssData: string): FontDeclaration[];
export declare function findBestFontDeclaration(declarations: FontDeclaration[], desiredFontFamily: string, desiredFontWeight?: number, desiredFontStyle?: string): FontDeclaration | null;
export declare function getFontDeclaration(cssData: string | ArrayBuffer, fontName: string, fontWeight: number, fontStyle: string, isDebug?: boolean): FontDeclaration | {
    isDefault: boolean;
    src: string;
};
export {};
